<?php
/**
 * The Header for our theme.
 * @package Transport Movers
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'transport-movers' ) ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="toggle"><a class="toggleMenu" href="#"><?php esc_html_e('Menu','transport-movers'); ?></a></div>
<div class="topbar">
  <div class="container">
    <div class="row">
      <div class="col-lg-4 col-md-4">
        <div class="row">
          <?php if( get_theme_mod( 'transport_movers_call','' ) != '') { ?>
            <div class="col-lg-2 col-md-2">
              <i class="fas fa-phone"></i>
            </div>
            <div class="col-lg-10 col-md-10 pl-0">
              <p class="text"><?php echo esc_html( get_theme_mod('transport_movers_call','' )); ?></p>
              <p class="email"><?php echo esc_html( get_theme_mod('transport_movers_email','' )); ?></p>
            </div>
          <?php }?>
        </div>
      </div>
      <div class="col-lg-6 col-md-6">
        <div class="row">
          <?php if( get_theme_mod( 'transport_movers_city','' ) != '') { ?>
            <div class="col-lg-2 col-md-2">
              <i class="far fa-compass"></i>
            </div>
            <div class="col-lg-10 col-md-10 pl-0">
              <p class="text"><?php echo esc_html( get_theme_mod('transport_movers_city','' )); ?></p>
              <p class="city"><?php echo esc_html( get_theme_mod('transport_movers_location','' )); ?></p>
            </div>
          <?php }?>
        </div>
      </div>
      <?php if( get_theme_mod( 'transport_movers_button_link','' ) != '') { ?>
      <div class="col-lg-2 col-md-2 appointbtn p-0">
        <a href="<?php echo esc_url( get_theme_mod('transport_movers_button_link','#' ) ); ?>"><?php esc_html_e( 'Request Quote','transport-movers' ); ?></a>
      </div>
      <?php } ?>
    </div>
  </div>
</div>
<div id="header">
  <div class="container inner-box menus">
    <div class="row m-0">
      <div class="col-lg-3 col-md-3">
        <div class="logo">
          <?php if( has_custom_logo() ){ transport_movers_the_custom_logo();
             }else{ ?>
            <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
            <?php $description = get_bloginfo( 'description', 'display' );
            if ( $description || is_customize_preview() ) : ?> 
              <p class="site-description"><?php echo esc_html($description); ?></p>       
          <?php endif; }?>       
        </div>     
      </div>  
      <div class="col-lg-8 col-md-8 padding0">
        <div class="menubox header">
          <div class="nav">
           <?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>
          </div>
        </div>
      </div>
      <div class="col-lg-1 col-md-1">
        <div class="search-box">
          <span><i class="fas fa-search"></i></span>
        </div>
      </div>
      <div class="serach_outer">
        <div class="closepop"><i class="far fa-window-close"></i></div>
        <div class="serach_inner">
          <?php get_search_form(); ?>
        </div>
      </div>
    </div>
  </div>
</div>