<?php
/**
 * Template Name: Custom Home Page
 */

get_header(); ?>

<?php do_action( 'transport_movers_above_slider' ); ?>

<?php if( get_theme_mod('transport_movers_slider_hide') != ''){ ?>
  <section id="slider">
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
      <?php $pages = array();
        for ( $count = 1; $count <= 4; $count++ ) {
          $mod = intval( get_theme_mod( 'transport_movers_tab_pages' . $count ));
          if ( 'page-none-selected' != $mod ) {
            $pages[] = $mod;
          }
        }
        if( !empty($pages) ) :
        $args = array(
            'post_type' => 'page',
            'post__in' => $pages,
            'orderby' => 'post__in'
        );
        $query = new WP_Query( $args );
        if ( $query->have_posts() ) :
          $i = 1;
      ?>     
      <div class="carousel-inner" role="listbox">
        <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
          <img src="<?php the_post_thumbnail_url('full'); ?>"/>
          <div class="carousel-caption">
            <div class="inner_carousel">
              <h2><?php the_title();?></h2>
              <p><?php $excerpt = get_the_excerpt(); echo esc_html( transport_movers_string_limit_words( $excerpt,20) ); ?></p>
              <div class="slide-button">
                <a class="read-more" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Read More','transport-movers' ); ?></a>
              </div>
            </div>
          </div>
        </div>
        <?php $i++; endwhile; 
        wp_reset_postdata();?>
      </div>
      <?php else : ?>
      <div class="no-postfound"></div>
        <?php endif;
      endif;?>
      <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left" ></i></span>
      </a>
      <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right" ></i></span>
      </a>
    </div>  
    <div class="clearfix"></div>
  </section> 
<?php }?>

<?php do_action( 'transport_movers_below_slider' ); ?>

<?php if( get_theme_mod('transport_movers_time') != '' || get_theme_mod('transport_movers_branchase') != '' || get_theme_mod('transport_movers_facebook') != '' || get_theme_mod('transport_movers_twitter') != '' || get_theme_mod('transport_movers_linkdin') != '' || get_theme_mod('transport_movers_pinterest') != '' || get_theme_mod('transport_movers_google_plus') != '' || get_theme_mod('transport_movers_instagram') != '' ||get_theme_mod('transport_movers_youtube') != '' ){ ?>
  <section id="con-details">
    <div class="container">
      <div class="row m-0">
        <div class="col-lg-3 col-md-3">
          <div class="row">
            <?php if( get_theme_mod( 'transport_movers_time','' ) != '') { ?>
              <div class="col-lg-2 col-md-2 p-0">
                <i class="far fa-clock"></i>
              </div>
              <div class="col-lg-10 col-md-10">
                <p class="text"><?php echo esc_html( get_theme_mod('transport_movers_time_text','' )); ?></p>
                <p><?php echo esc_html( get_theme_mod('transport_movers_time','' )); ?></p>
              </div>
            <?php }?>
          </div>
        </div>
        <div class="col-lg-4 col-md-4">
          <div class="row">
            <?php if( get_theme_mod( 'transport_movers_branchase','' ) != '') { ?>
              <div class="col-lg-2 col-md-2">
                <i class="fas fa-university"></i>
              </div>
              <div class="col-lg-10 col-md-10">
                <p class="text"><?php echo esc_html( get_theme_mod('transport_movers_branchase_text','')); ?></p>
                <p><?php echo esc_html( get_theme_mod('transport_movers_branchase','' )); ?></p>
              </div>
            <?php }?>
          </div>
        </div>
        <div class="col-lg-5 col-md-5">
          <div class="socialbox">
            <?php if( get_theme_mod( 'transport_movers_facebook') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'transport_movers_facebook','' ) ); ?>"><i class="fab fa-facebook-f"></i></a>
            <?php } ?>
            <?php if( get_theme_mod( 'transport_movers_twitter') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'transport_movers_twitter','' ) ); ?>"><i class="fab fa-twitter" aria-hidden="true"></i></a>
            <?php } ?>
            <?php if( get_theme_mod( 'transport_movers_linkdin') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'transport_movers_linkdin','' ) ); ?>"><i class="fab fa-linkedin-in"></i></a>
            <?php } ?>            
            <?php if( get_theme_mod( 'transport_movers_pinterest') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'transport_movers_pinterest','' ) ); ?>"><i class="fab fa-pinterest-p"></i></a>
            <?php } ?>
            <?php if( get_theme_mod( 'transport_movers_google_plus') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'transport_movers_google_plus','' ) ); ?>"><i class="fab fa-google-plus-g" aria-hidden="true"></i></a>
            <?php } ?>
            <?php if( get_theme_mod( 'transport_movers_instagram') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'transport_movers_instagram','' ) ); ?>"><i class="fab fa-instagram"></i></a>
            <?php } ?>
            <?php if( get_theme_mod( 'transport_movers_youtube') != '') { ?>
              <a href="<?php echo esc_url( get_theme_mod( 'transport_movers_youtube','' ) ); ?>"><i class="fab fa-youtube"></i></a>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  </section>
<?php }?>

<?php do_action( 'transport_movers_after_contact' ); ?>

<?php if( get_theme_mod('transport_movers_sec_title') != '' || get_theme_mod('transport_movers_project_single_post') != ''){ ?>
  <section id="about-sec">
    <?php if( get_theme_mod('transport_movers_sec_title') != ''){ ?>
      <span><i class="fas fa-map-marker-alt"></i><h3><?php echo esc_html(get_theme_mod('transport_movers_sec_title','')); ?></h3></span>
    <?php }?>
    <?php
      $postData =  get_theme_mod('transport_movers_project_single_post');
      if($postData){
        $args = array( 'name' => esc_html($postData ,'transport-movers'));
      $query = new WP_Query( $args );
      if ( $query->have_posts() ) :
        while ( $query->have_posts() ) : $query->the_post(); ?>         
          <div class="mainbox row m-0">             
            <div class="col-lg-8 col-md-8 content-box">
              <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
              <p><?php the_excerpt();?></p>
              <div class="about-link">
                <a href="<?php the_permalink(); ?>"><?php echo esc_html_e('Read More','transport-movers'); ?><i class="fas fa-long-arrow-alt-right"></i></a>
              </div>
            </div>
            <div class="col-lg-4 col-md-4 padd0">
              <img src="<?php the_post_thumbnail_url(); ?>">
            </div>
          </div>
        <?php endwhile; 
        wp_reset_postdata();?>
        <?php else : ?>
           <div class="no-postfound"></div>
         <?php
      endif; }?>
      <div class="clearfix"></div>
  </section>
<?php }?>

<?php do_action( 'transport_movers_after_about' ); ?>

<div id="bwt-content" class="container">
  <?php while ( have_posts() ) : the_post(); ?>
    <?php the_content(); ?>
  <?php endwhile; // end of the loop. ?>
</div>


<?php get_footer(); ?>